
Foreman - Bug #6536

LDAP: Trying to create an LDAP instance with the name 'Internal' returns confusing message.

07/09/2014 06:01 AM - Dominic Cleal

Status: New   

Priority: Low   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1097683 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097683

Description of problem:

When trying to create/associate an LDAP source that has the name "Internal", user is told that the name "has already been taken" --

this despite perhaps never having set up an LDAP source before at all.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140508.1

How reproducible:

Steps to Reproduce:

1.  Attempt to create a new LDAP source.  Give this source the name "Internal"

2.  Fill in other details; submit

3.  View results.

Actual results:

name cannot be used because "has already been taken"

Expected results:

I assume that the term "Internal" might probably be reserved or something, not sure.  In any case, we should tell users they can't use

that term, or provide some context indicating why exactly "Internal" can't be used.

Additional info:

History

#1 - 07/09/2014 06:01 AM - Dominic Cleal

- Category set to Authentication

- Assignee deleted (Dominic Cleal)

#2 - 10/08/2014 09:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1830 added

#3 - 05/26/2016 03:12 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/1830)

#4 - 07/23/2018 11:27 AM - Tomer Brisker

- Target version deleted (1.7.2)
